Bug 1276126 (CVE-2015-5299) - CVE-2015-5299 Samba: Missing access control check in shadow copy code
Summary: CVE-2015-5299 Samba: Missing access control check in shadow copy code
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5299
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151216,repor...
Depends On: 1290706 1290707 1290708 1290709 1290710 1290711 1290727 1292069
Blocks: 1276127 1281327
TreeView+ depends on / blocked
 
Reported: 2015-10-28 19:24 UTC by Kurt Seifried
Modified: 2019-06-08 20:49 UTC (History)
15 users (show)

Fixed In Version: samba 4.1.22, samba 4.2.7, samba 4.3.3
Doc Type: Bug Fix
Doc Text:
A missing access control flaw was found in Samba. A remote, authenticated attacker could use this flaw to view the current snapshot on a Samba share, despite not having DIRECTORY_LIST access rights.
Clone Of:
Environment:
Last Closed: 2016-01-08 12:19:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0006 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 06:39:15 UTC
Red Hat Product Errata RHSA-2016:0010 normal SHIPPED_LIVE Moderate: samba4 security update 2016-01-08 03:43:17 UTC
Red Hat Product Errata RHSA-2016:0011 normal SHIPPED_LIVE Moderate: samba security update 2016-01-07 22:20:52 UTC
Red Hat Product Errata RHSA-2016:0015 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 15:18:26 UTC
Red Hat Product Errata RHSA-2016:0016 normal SHIPPED_LIVE Moderate: samba security update 2016-01-08 15:17:52 UTC

Description Kurt Seifried 2015-10-28 19:24:31 UTC
The Samba Project reports:

All versions of Samba from 3.2.0 to 4.3.1 inclusive are vulnerable to
a missing access control check in the vfs_shadow_copy2 module. When
looking for the shadow copy directory under the share path the current
accessing user should have DIRECTORY_LIST access rights in order to
view the current snapshots.

This was not being checked in the affected versions of Samba.

https://bugzilla.samba.org/show_bug.cgi?id=11529

Comment 1 Huzaifa S. Sidhpurwala 2015-12-10 06:25:48 UTC
Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue. Upstream acknowledges partha@exablox.com as the original reporter.

Comment 5 Siddharth Sharma 2015-12-16 12:08:52 UTC
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1292069]

Comment 6 Huzaifa S. Sidhpurwala 2015-12-17 04:08:30 UTC
External References:

https://www.samba.org/samba/security/CVE-2015-5299.html

Comment 9 errata-xmlrpc 2016-01-07 17:06:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0010 https://rhn.redhat.com/errata/RHSA-2016-0010.html

Comment 10 errata-xmlrpc 2016-01-07 17:23:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0011 https://rhn.redhat.com/errata/RHSA-2016-0011.html

Comment 11 errata-xmlrpc 2016-01-08 01:39:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0006 https://rhn.redhat.com/errata/RHSA-2016-0006.html

Comment 12 errata-xmlrpc 2016-01-08 10:18:46 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7

Via RHSA-2016:0016 https://rhn.redhat.com/errata/RHSA-2016-0016.html

Comment 13 errata-xmlrpc 2016-01-08 10:19:25 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0015 https://rhn.redhat.com/errata/RHSA-2016-0015.html


Note You need to log in before you can comment on or make changes to this bug.